Name: jakarta-oro
Version: 2.0.8
Release: alt1

Summary: Full regular expressions API
Group: System/Libraries
License: Apache
Url: http://jakarta.apache.org/oro/

%define javadir		%_datadir/java
%define javadocdir	%_datadir/javadoc
%define pkgdocdir	%_docdir/%name-%version

Source: %name-%version.tar.bz2

BuildArch: noarch

BuildRequires: j2se-devel ant

%description
The Jakarta-ORO Java classes are a set of text-processing Java classes
that provide Perl5 compatible regular expressions, AWK-like regular
expressions, glob expressions, and utility classes for performing
substitutions, splits, filtering filenames, etc. This library is the
successor to the OROMatcher, AwkTools, PerlTools, and TextTools
libraries from ORO, Inc. (www.oroinc.com). They have been donated to the
Jakarta Project by Daniel Savarese (www.savarese.org), the copyright
holder of the ORO libraries. Daniel will continue to participate in
their development under the Jakarta Project.

%package javadoc
Group: Development/Java
Summary: Javadoc for %name
Requires: %name = %version-%release

%description javadoc
Javadoc-generated API documentation for Jakarta-ORO,
a set of Java classes for regular expression processing.

%package demo
Group: Development/Java
Summary: Demonstration for %name
Requires: %name = %version-%release

%description demo
Demonstration applet for Jakarta-ORO,
a set of Java classes for regular expression processing.

%prep
%setup -q
# remove all binary libs
find . -name '*.jar' -print0 | xargs -r0 rm -f

%build
ant jar javadocs

%install
#jars
mkdir -p $RPM_BUILD_ROOT%javadir
install -p -m644 %name-%version.jar $RPM_BUILD_ROOT%javadir/%name.jar
#docs
install -d -m755 $RPM_BUILD_ROOT%pkgdocdir
cp -a docs/* $RPM_BUILD_ROOT%pkgdocdir
install -p -m644 ISSUES README TODO CHANGES CONTRIBUTORS LICENSE STYLE \
    $RPM_BUILD_ROOT%pkgdocdir
#javadoc
mkdir -p $RPM_BUILD_ROOT%javadocdir
mv $RPM_BUILD_ROOT%pkgdocdir/api $RPM_BUILD_ROOT%javadocdir/%name
ln -s $(relative %javadocdir/%name %pkgdocdir/) $RPM_BUILD_ROOT%pkgdocdir/api

%files
%javadir/*.jar
%dir %pkgdocdir
%pkgdocdir/[A-Z]*
%pkgdocdir/bugs.html
%pkgdocdir/devplan-2.0.html
%pkgdocdir/index.html
%pkgdocdir/status.html
%pkgdocdir/users.html
%pkgdocdir/images

%files javadoc
%javadocdir/%name
%dir %pkgdocdir
%pkgdocdir/api

%files demo
%dir %pkgdocdir
%pkgdocdir/demo.html
%pkgdocdir/classes

%changelog
* Thu Feb 26 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.0.8-alt1
- New upstream release

* Tue Sep 16 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.0.7-alt1
- Adapted for Sisyphus from JPackage project.
